Commit 5e2f6503 authored by Jan Kiene's avatar Jan Kiene
Browse files

add missing "$"

parent 4930a63d
Loading
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -18,7 +18,7 @@ check-first-frame-is-sid:
    - rm scripts/config/ci_linux_ltv.json scripts/config/ci_linux.json
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/check-for-testvectors.sh
    - bash ci/run-first-frame-is-sid-test.sh
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh logs
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh logs
  timeout: "10 minutes"
  artifacts:
    paths:
+1 −1
Original line number Diff line number Diff line
@@ -118,7 +118,7 @@
    - set -euxo pipefail
    - *complexity-measurements-setup
  after_script:
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $CI_JOB_NAME-public COMPLEXITY/logs 
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $CI_JOB_NAME-public COMPLEXITY/logs 
  allow_failure:
    exit_codes:
      - 123
+1 −1
Original line number Diff line number Diff line
@@ -16,7 +16,7 @@
    - if cat smoke_test_output.txt | grep -c "failed"; then echo "Smoke test without JBM failed"; ret_val=1; fi
    - if cat smoke_test_output_jbm.txt | grep -c "failed"; then echo "Smoke test JBM part failed"; ret_val=1; fi
    - if cat smoke_test_output_hrtf.txt | grep -c "failed"; then echo "Smoke test with external hrtf files failed"; ret_val=1; fi
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh smoke_test_output.txt smoke_test_output_jbm.txt smoke_test_output_hrtf.txt
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh smoke_test_output.txt smoke_test_output_jbm.txt smoke_test_output_hrtf.txt
    - exit $ret_val
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
+37 −37

File changed.

Preview size limit exceeded, changes collapsed.

+26 −26
Original line number Diff line number Diff line
@@ -191,7 +191,7 @@ workflow:
    - python3 scripts/parse_sanitizer_errors_from_xml_report.py report-junit-20ms.xml errors-20ms.csv
    - python3 scripts/parse_sanitizer_errors_from_xml_report.py report-junit-10ms.xml errors-10ms.csv
    - python3 scripts/parse_sanitizer_errors_from_xml_report.py report-junit-5ms.xml errors-5ms.csv
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-20ms.xml report-junit-10ms.xml report-junit-5ms.xml report-20ms.html report-10ms.html report-5ms.html errors-20ms.csv errors-10ms.csv errors-5ms.csv $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-20ms.xml report-junit-10ms.xml report-junit-5ms.xml report-20ms.html report-10ms.html report-5ms.html errors-20ms.csv errors-10ms.csv errors-5ms.csv $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--stage-$CI_JOB_STAGE--results"
    expire_in: 1 week
@@ -306,7 +306,7 @@ branch-is-up-to-date-with-main-post:
    - python3 -m pytest $TEST_SUITE $PYTEST_ARGS --update_ref 1 --create_ref --ref_encoder_path IVAS_cod --ref_decoder_path IVAS_dec --html=report.html --self-contained-html --junit-xml=report-junit.xml --testcase_timeout=$testcase_timeout

  after_script:
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html
  artifacts:
    name: "$CI_JOB_NAME--sha-$CI_COMMIT_SHORT_SHA--results"
    when: always
@@ -407,7 +407,7 @@ basop-compat-smoke-test:
    - pushd ivas-basop
    - bash ci/smoke_test.sh
    - popd
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh smoke_test_output.txt smoke_test_output_jbm.txt smoke_test_output_hrtf.txt ivas-basop-commit-sha.txt
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh smoke_test_output.txt smoke_test_output_jbm.txt smoke_test_output_hrtf.txt ivas-basop-commit-sha.txt
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
@@ -497,7 +497,7 @@ pytest-compare-20ms-and-5ms-rendering:
    - if [ $exit_code5 -ne 0 ]; then echo "Non-bitexact cases encountered with 5ms rendering!"; exit_code=1; fi
    - if [ $exit_code10 -ne 0 ]; then echo "Non-bitexact cases encountered with 10ms rendering!"; exit_code=1; fi
    - if [ $exit_code -ne 0 ]; then exit $EXIT_CODE_FAIL; fi
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-5ms.xml report-5ms.html report-junit-10ms.xml report-10ms.html $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-5ms.xml report-5ms.html report-junit-10ms.xml report-10ms.html $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
@@ -525,7 +525,7 @@ renderer-smoke-test:
    - make -j IVAS_rend 2>&1 >$MAKE_BUILD_LOG_FILE_DEFAULT
    - testcase_timeout=60
    - python3 -m pytest -q -n auto -rA --log-level ERROR --junit-xml=report-junit.xml --html=report.html tests/renderer/test_renderer.py --testcase_timeout=$testcase_timeout
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
@@ -563,7 +563,7 @@ renderer-smoke-test:
    - testcase_timeout=180
  after_script:
    - python3 scripts/parse_sanitizer_errors_from_xml_report.py report-junit.xml errors.csv
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html errors.csv
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html errors.csv

# test renderer executable with cmake + asan
renderer-asan:
@@ -631,7 +631,7 @@ renderer-pytest-on-merge-request:
    - python3 -m pytest -q --log-level ERROR -n auto -rA --mld --ssnr --html=report.html --self-contained-html --junit-xml=report-junit.xml tests/renderer/test_renderer.py --create_cut --testcase_timeout=$testcase_timeout || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - *merge-request-comparison-check

  allow_failure:
@@ -662,7 +662,7 @@ split-rendering-smoke-test:
    - make -j 2>&1 >$MAKE_BUILD_LOG_FILE_DEFAULT
    - testcase_timeout=10
    - python3 -m pytest -q -n auto -rA --log-level ERROR --junit-xml=report-junit.xml --html=report.html tests/split_rendering/test_split_rendering.py --testcase_timeout=$testcase_timeout
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
@@ -687,7 +687,7 @@ split-rendering-voip-be-to-binaural:
    - make -j 2>&1 >$MAKE_BUILD_LOG_FILE_DEFAULT
    - testcase_timeout=30
    - python3 -m pytest -q -n auto -rA --junit-xml=report-junit.xml --html=report.html tests/split_rendering/test_voip_be_splitrend_vs_binaural.py --testcase_timeout=$testcase_timeout
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
@@ -713,7 +713,7 @@ rtpdump-test:
    - testcase_timeout=15
    - python3 tests/create_short_testvectors.py --cut_len 1.0
    - python3 -m pytest -q --tb=no -n auto -rA --html=report.html --self-contained-html --junit-xml=report-junit.xml tests/rtp --testcase_timeout=$testcase_timeout
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
@@ -794,7 +794,7 @@ split-rendering-pytest-on-merge-request:
    - python3 -m pytest -q --log-level ERROR -n auto -rA --mld --ssnr --html=report.html --self-contained-html --junit-xml=report-junit.xml tests/split_rendering/test_split_rendering.py --create_cut --testcase_timeout=$testcase_timeout || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - *merge-request-comparison-check

  allow_failure:
@@ -856,7 +856,7 @@ ivas-pytest-on-merge-request:
    - python3 -m pytest "$TESTS_DIR_CODEC_BE_ON_MR"/"$PYTEST_SCRIPT" --mld --ssnr --html=report.html --self-contained-html --junit-xml=report-junit.xml --testcase_timeout=$testcase_timeout || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - *merge-request-comparison-check

  allow_failure:
@@ -909,7 +909,7 @@ ivas-interop-on-merge-request:

    - if [ $zero_failures != 1 ] && [ $non_interop_flag == 0 ]; then echo "Non-interop cases without non-interop flag encountered!"; exit $EXIT_CODE_FAIL; fi
    - if [ $zero_failures != 1 ] && [ $non_interop_flag == 1 ]; then echo "Non-interop cases with non-interop flag encountered"; exit $EXIT_CODE_NON_BE; fi
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - exit 0

  allow_failure:
@@ -964,7 +964,7 @@ evs-pytest-on-merge-request:
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py --param_file scripts/config/self_test_evs.prm --html=report.html --self-contained-html --junit-xml=report-junit-evs.xml --testcase_timeout=$testcase_timeout || exit_code=$?
    - zero_errors=$(cat report-junit-evs.xml | grep -c 'errors="0"') || true

    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-evs.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-evs.xml report.html $MAKE_BUILD_LOG_FILE_DEFAULT $MAKE_BUILD_LOG_FILE_REFERENCE
    - *merge-request-comparison-check

  allow_failure:
@@ -996,7 +996,7 @@ voip-be-on-merge-request:
    - make clean
    - make -j 2>&1 >$MAKE_BUILD_LOG_FILE_DEFAULT
    - python3 -m pytest tests/test_be_for_jbm_neutral_dly_profile.py
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    when: always
    expire_in: "5 days"
@@ -1040,7 +1040,7 @@ clang-format-check:
    # Include readme in the artifact, in case someone misses the job printout (e.g. getting the artifact via MR interface)
    - echo -e "$INSTRUCTIONS_README" > "tmp-formatting-fix/readme.txt"

    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh tmp-formatting-fix/
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh tmp-formatting-fix/
    - exit $format_problems
  artifacts:
    expire_in: 1 day
@@ -1084,7 +1084,7 @@ check-bitexactness-hrtf-rom-and-file:
    - make -j 2>&1 >$MAKE_BUILD_LOG_FILE_DEFAULT
    - python3 tests/create_short_testvectors.py --cut_len 1.0
    - python3 -m pytest tests/hrtf_binary_loading --html=report.html --junit-xml=report-junit.xml --self-contained-html
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report.html report-junit.xml $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report.html report-junit.xml $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    paths:
      - report.html
@@ -1108,7 +1108,7 @@ check-bitexactness-ext-and-transport-format:
    - make -j 2>&1 >$MAKE_BUILD_LOG_FILE_DEFAULT
    - python3 tests/create_short_testvectors.py --cut_len 1.0
    - python3 -m pytest tests/test_be_for_ext_outputs.py --html=report.html --junit-xml=report-junit.xml --self-contained-html
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report.html report-junit.xml $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report.html report-junit.xml $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    paths:
      - report.html
@@ -1463,7 +1463,7 @@ ivas-conformance-linux:
    - cd -
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/collect-coverage.sh --obj-dir obj --output-file $COVERAGE_OUTPUT_FILE --output-dir $COVERAGE_OUTPUT_DIR --title "Coverage on main -- $COVERAGE_TITLE"

    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report_cmd.html report-junit.xml report.html Readme_IVAS_dec.txt Readme_IVAS_enc.txt Readme_IVAS_rend.txt Readme_IVAS_JBM_dec.txt Readme_IVAS_ISAR_dec.txt Readme_IVAS_ISAR_post_rend.txt $COVERAGE_OUTPUT_FILE $COVERAGE_OUTPUT_DIR $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report_cmd.html report-junit.xml report.html Readme_IVAS_dec.txt Readme_IVAS_enc.txt Readme_IVAS_rend.txt Readme_IVAS_JBM_dec.txt Readme_IVAS_ISAR_dec.txt Readme_IVAS_ISAR_post_rend.txt $COVERAGE_OUTPUT_FILE $COVERAGE_OUTPUT_DIR $MAKE_BUILD_LOG_FILE_DEFAULT

    # Check for failures
    - if [ $exit_code -ne 0 ]; then echo "Test failures encountered"; exit $EXIT_CODE_FAIL; fi
@@ -1546,7 +1546,7 @@ test-long-self-test:

    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - if [ $exit_code -ne 0 ]; then echo "Non-bitexact cases encountered!"; exit $EXIT_CODE_NON_BE; fi
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-ltv.xml report-ltv.html
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit-ltv.xml report-ltv.html
    - exit 0

  artifacts:
@@ -1578,7 +1578,7 @@ check-clipping:
    - tests/scale_pcm.py ./scripts/testv/ $SCALE_FACTOR # Default: 3.162 (+10 dB). Can be set in manual trigger.
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR --update_ref 1 --html=report.html --self-contained-html --junit-xml=report-junit.xml --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    - python3 scripts/parse_xml_report.py report-junit.xml report.csv --clipping
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html report.csv $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html report.csv $MAKE_BUILD_LOG_FILE_DEFAULT
  artifacts:
    name: "check-clipping--sha-$CI_COMMIT_SHORT_SHA--results"
    when: always
@@ -1613,7 +1613,7 @@ test-branch-vs-input-passthrough:
    - python3 scripts/parse_xml_report.py report-junit.xml report.csv
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - if [ $exit_code -ne 0 ]; then echo "Differences encountered."; exit $EXIT_CODE_NON_BE; fi
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html report.csv $MAKE_BUILD_LOG_FILE_DEFAULT
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh report-junit.xml report.html report.csv $MAKE_BUILD_LOG_FILE_DEFAULT
    - exit 0

  artifacts:
@@ -1697,7 +1697,7 @@ ltv-usan:
    - sanitizer_test_main
    - ivas-linux-fast
  after_script:
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh ep_015.g192 dly_profile.dat head_rot_traj.csv exof_traj.csv ./LOGS_PLC ./LOGS_noPLC
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh ep_015.g192 dly_profile.dat head_rot_traj.csv exof_traj.csv ./LOGS_PLC ./LOGS_noPLC
  artifacts:
    name: "$CI_JOB_NAME--main--sha-$CI_COMMIT_SHORT_SHA"
    expire_in: 7 weeks
@@ -2243,7 +2243,7 @@ sanitizer-test-osba-planar-hoa3-ism4:
    - cp ISAR_post_rend ISAR_post_rend_ref
  after_script:
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/collect-coverage.sh --obj-dir cmake-build --output-file $COVERAGE_OUTPUT_FILE --output-dir $COVERAGE_OUTPUT_DIR --title "Coverage on main -- $COVERAGE_TITLE"
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $COVERAGE_OUTPUT_FILE $COVERAGE_OUTPUT_DIR
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $COVERAGE_OUTPUT_FILE $COVERAGE_OUTPUT_DIR
  artifacts:
    name: "main-$COVERAGE_OUTPUT_DIR-sha-$CI_COMMIT_SHORT_SHA"
    when: always
@@ -2274,7 +2274,7 @@ coverage-merge:
    - lcov -a $COVERAGE_OUTPUT_FILE_CONFORMANCE -a $COVERAGE_OUTPUT_FILE_STV -a $COVERAGE_OUTPUT_FILE_LTV -o "$COVERAGE_OUTPUT_FILE_MERGED"
    - commit_sha=$(git rev-parse HEAD)
    - genhtml $COVERAGE_OUTPUT_FILE_MERGED -o $COVERAGE_OUTPUT_DIR -t "Coverage on main -- $COVERAGE_TITLE @ $commit_sha"
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $COVERAGE_OUTPUT_FILE $COVERAGE_OUTPUT_DIR
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh $COVERAGE_OUTPUT_FILE $COVERAGE_OUTPUT_DIR
  artifacts:
    name: "merged-coverage-sha-$CI_COMMIT_SHORT_SHA"
    when: always
@@ -2367,7 +2367,7 @@ pages:
    - if: $UPDATE_PAGES
  script:
    - python3 ci/setup_pages.py
    - bash "{CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh public
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-sizes.sh public
  artifacts:
    paths:
      - public